var express = require('express');
var router = express.Router();
var books = require('../data/books.json');
var fs = require('fs');
var path = require('path');

router.get('/', function(req, res) {
    console.log("=======Book Index=======");
    res.send(books);
});

router.get('/:id', function(req, res) {
    var id = parseInt(req.params.id, 10);
    console.log("=======Show Book======= id: " + id);
    var book = books.filter(function (book) {
        return book.id === id;
    });
    console.dir(book);
    res.send(book);
});

router.post('/', function(req, res) {
    let book = req.body;
    book.buycount = Number(book.buycount);
    book.sellcount = Number(book.sellcount);
    book.buycount++;
    const bookPath = path.join(__dirname, '..', 'data', 'books.json');

    fs.readFile(bookPath, 'utf8', (err, data) => {
        let parsedData = JSON.parse(data);
        fs.writeFile(bookPath, JSON.stringify(parsedData), (err)=>{
            if(err) throw err;
            console.log('books update complete');
            res.send('end');
        });
    });
});

module.exports = router;